Bug 808442 - weak-module : when adding a module, should collect the symbols from external modules of destination kernel
weak-module : when adding a module, should collect the symbols from external ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Masters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 07:55 EDT by Xavier Bru
Modified: 2015-02-17 09:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:11:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.51 KB, text/plain)
2012-03-30 07:55 EDT, Xavier Bru
no flags Details

  None (edit)
Description Xavier Bru 2012-03-30 07:55:31 EDT
Created attachment 573971 [details]
proposed patch

Description of problem:
When adding a module that has a different version to a kernel, weak-modules looks into the symbols of the destination kernel, but does not looks into the external modules already installed for that kernel. If some symbol is defined by one of these external modules, weak module returns that the new module "is not compatible"

Version-Release number of selected component (if applicable): 3.9-19


How reproducible:


Steps to Reproduce:
1. build some external modules m1 and m2 on kernel version n. module m2 imports some symbols from m1.
2. install kernel n and modules m1 and m2 (that install in /lib/modules/n/extra for example)
3. build module m2 on kernel version n+1 (with same kabi).
   install module m2 will fail
  
Actual results: no link created in /lib/modules/n+1/weak-modules


Expected results: link created in /lib/modules/n+1/weak-modules


Additional info: See attached proposed patch.
Comment 2 Xavier Bru 2012-03-30 10:46:57 EDT
Sorry, should read:

Steps to Reproduce:
1. build some external module m1 on kernel version n.
2. install kernel n and modules m1 (that installs in /lib/modules/n/extra/)
3. build module m2 on kernel version n+1 (with same kabi).
   module m2 imports some symbols from m1.
4. install module m2
   install of module m2 will install in lib/modules/n+1/extra
but weak-modules script called by postinstall will say "m2 module is not compatible with the kernel n"
and no link in /lib/modules/n/weak-updates/ is created.

Actual results: new m2 module can't be loaded on kernel n as there is no link in /lib/modules/n/weak-updates/.

Expected results: a link is created in /lib/modules/n/weak-updates/ on  /lib/modules/n+1/extra/  for the m2 module. m2 module can be loaded on kernel n
Comment 3 RHEL Product and Program Management 2012-05-03 01:19:56 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 4 Fedora End Of Life 2013-04-03 11:23:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:05:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:11:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.